summaryrefslogtreecommitdiffstats
path: root/desktop/matchbox-panel
diff options
context:
space:
mode:
author Daniel de Kok <danieldk@pobox.com>2010-05-11 14:03:46 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:03:46 +0200
commitbcd22e0940cc574e69b6feb2da545d8bbc0abe1e (patch)
tree71e82b88265350465fa6093800fa8f8d72c7ac2c /desktop/matchbox-panel
parent63334de828cf45636f6567e81e0e84bb4afe43ba (diff)
downloadslackbuilds-bcd22e0940cc574e69b6feb2da545d8bbc0abe1e.tar.gz
slackbuilds-bcd22e0940cc574e69b6feb2da545d8bbc0abe1e.tar.xz
desktop/matchbox-panel: Initial import
Diffstat (limited to 'desktop/matchbox-panel')
-rw-r--r--desktop/matchbox-panel/README12
-rw-r--r--desktop/matchbox-panel/doinst.sh5
-rw-r--r--desktop/matchbox-panel/matchbox-panel.SlackBuild83
-rw-r--r--desktop/matchbox-panel/matchbox-panel.info8
-rw-r--r--desktop/matchbox-panel/slack-desc11
5 files changed, 119 insertions, 0 deletions
diff --git a/desktop/matchbox-panel/README b/desktop/matchbox-panel/README
new file mode 100644
index 0000000000..95cc7998cd
--- /dev/null
+++ b/desktop/matchbox-panel/README
@@ -0,0 +1,12 @@
+Matchbox is a lightweight environment for the X Window System, that
+is specifically designed for embedded platforms such as handhelds
+and set-top boxes.
+
+This is a SlackBuild for the Matchbox panel. libmatchbox,
+matchbox-window-manager, and matchbox-common are required to build
+and run this package. These dependencies are available through
+the Matchbox website, or as SlackBuilds.
+
+The Matchbox homepage can be found at:
+http://projects.o-hand.com/matchbox/
+
diff --git a/desktop/matchbox-panel/doinst.sh b/desktop/matchbox-panel/doinst.sh
new file mode 100644
index 0000000000..1f168fe95a
--- /dev/null
+++ b/desktop/matchbox-panel/doinst.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
diff --git a/desktop/matchbox-panel/matchbox-panel.SlackBuild b/desktop/matchbox-panel/matchbox-panel.SlackBuild
new file mode 100644
index 0000000000..3befd075ea
--- /dev/null
+++ b/desktop/matchbox-panel/matchbox-panel.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for matchbox-panel
+
+# Copyright (c) 2007 Daniel de Kok <moc.mikciat@leinad>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Exit on most errors
+set -e
+
+PRGNAM=matchbox-panel
+VERSION=0.9.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-startup-notification \
+ --enable-dnotify \
+ --enable-acpi-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/share/applications
+ sed -i s'#Icon=minitime.png#Icon=/usr/share/pixmaps/minitime.png#' mb-applet-clock.desktop
+ sed -i s'#Icon=mbmenu.png#con=/usr/share/pixmaps/mbmenu.png#' mb-applet-menu-launcher.desktop
+ sed -i s'#Icon=minisys.png#Icon=/usr/share/pixmaps/minisys.png#' mb-applet-system-monitor.desktop
+ sed -i s'#Icon=signal-81-100.png#Icon=/usr/share/pixmaps/signal-81-100.png#' mb-applet-wireless.desktop
+ sed -i s'#Icon=mbterm.png#Icon=/usr/share/pixmaps/mbterm.png#' mb-launcher-term.desktop
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/matchbox-panel/matchbox-panel.info b/desktop/matchbox-panel/matchbox-panel.info
new file mode 100644
index 0000000000..11413b854d
--- /dev/null
+++ b/desktop/matchbox-panel/matchbox-panel.info
@@ -0,0 +1,8 @@
+PRGNAM="matchbox-panel"
+VERSION="0.9.3"
+HOMEPAGE="http://projects.o-hand.com/matchbox/"
+DOWNLOAD="http://projects.o-hand.com/matchbox/sources/matchbox-panel/0.9/matchbox-panel-0.9.3.tar.bz2"
+MD5SUM="56d1807636f3919e22e51896ab7ccd2e"
+MAINTAINER="Daniel de Kok"
+EMAIL="danieldk@pobox.com"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/desktop/matchbox-panel/slack-desc b/desktop/matchbox-panel/slack-desc
new file mode 100644
index 0000000000..278549bff6
--- /dev/null
+++ b/desktop/matchbox-panel/slack-desc
@@ -0,0 +1,11 @@
+matchbox-panel: matchbox-panel (The Matchbox panel)
+matchbox-panel:
+matchbox-panel: Matchbox is a lightweight environment for the X Window System,
+matchbox-panel: that is specifically designed for embedded platforms such as
+matchbox-panel: handhelds and set-top boxes.
+matchbox-panel:
+matchbox-panel: This package contains the Matchbox panel.
+matchbox-panel:
+matchbox-panel: The Matchbox homepage can be found at:
+matchbox-panel: http://projects.o-hand.com/matchbox/
+matchbox-panel: